Bug 355631 - Review Request: cdpr - Cisco Discovery Protocol Analyzer
Review Request: cdpr - Cisco Discovery Protocol Analyzer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-28 00:55 EDT by Michael Stahnke
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: 2.2.1-2.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-20 12:58:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michael Stahnke 2007-10-28 00:55:23 EDT
Spec URL: http://stahnma.fedorapeople.org/cdpr.spec
SRPM URL: http://stahnma.fedorapeople.org/cdpr-2.2.1-1.src.rpm
Description: cdpr is used to decode a Cisco Disovery Protocol (CDP) packet, by default it will report the device ID, the IP Address (of the device), and the port
number that the machine is connected to. Optionally it will decode the entire CDP packet.
Comment 1 Parag AN(पराग) 2007-10-29 01:51:01 EDT
1) you should use Source URL as
Source0:       
http://downloads.sf.net/sourceforge/%{name}/%{name}-%{version}.tar.gz

2) Not needed README.Win32 and INSTALL as %doc. Remove those files.

3) for fixing dos end of line you can simplify as only 
        sed -i 's/\r//g' COPYING README
Comment 2 Michael Stahnke 2007-10-29 19:07:20 EDT
Spec URL: http://stahnma.fedorapeople.org/cdpr.spec
SRPM URL: http://stahnma.fedorapeople.org/cdpr-2.2.1-2.src.rpm

Changes made. 
Comment 3 Parag AN(पराग) 2007-10-29 23:02:14 EDT
SRPM not working
Comment 4 Parag AN(पराग) 2007-10-29 23:40:58 EDT
also, I saw this package does not honor compiler flags. check
http://fedoraproject.org/wiki/Packaging/Guidelines#head-8b14098227aebff1cf6188939e9d0877295ac448

Use build section as 
make  CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}

Remember to drop INSTALL from %doc
Comment 5 Michael Stahnke 2007-10-30 10:02:34 EDT
Sorry about srpm url.  Fixed flags and doc. 


http://stahnma.fedorapeople.org/cdpr-2.2.1-2.fc7.src.rpm

http://stahnma.fedorapeople.org/cdpr.spec
Comment 6 Parag AN(पराग) 2007-10-30 23:27:45 EDT
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and RPM.
+ source files match upstream.
1e682e7e9c03f9b004c1f97c0ed25431  cdpr-2.2.1.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.

APPROVED.
Comment 7 Michael Stahnke 2007-10-31 00:45:54 EDT
New Package CVS Request
=======================
Package Name: cdpr
Short Description: Cisco Discovery Protocol Analyzer
Owners: stahnma
Branches: EL-4, EL-5, F-7, F-8 
Cvsextras Commits: yes
Comment 8 Kevin Fenzi 2007-10-31 12:50:28 EDT
cvs done.
Comment 9 Fedora Update System 2007-11-06 11:06:40 EST
cdpr-2.2.1-2.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cdpr'
Comment 10 Fedora Update System 2007-11-09 18:45:48 EST
cdpr-2.2.1-2.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cdpr'
Comment 11 Parag AN(पराग) 2007-11-11 02:04:17 EST
Can we CLOSE this review if package is already built and in rawhide?
Comment 12 Fedora Update System 2007-11-20 12:58:01 EST
cdpr-2.2.1-2.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2007-11-20 13:06:28 EST
cdpr-2.2.1-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.